png++ 0.2.10

List of all members
png::pixel_traits< packed_index_pixel< bits > > Struct Template Reference

Pixel traits specialization for packed_index_pixel. More...

`#include <index_pixel.hpp>`

Inheritance diagram for png::pixel_traits< packed_index_pixel< bits > >:

## Additional Inherited Members
Public Types inherited from png::basic_pixel_traits< packed_index_pixel< bits >, byte, color_type_palette, 1, bits >
typedef packed_index_pixel< bits > | pixel_type
typedef byte | component_type
Static Public Member Functions inherited from png::basic_pixel_traits< packed_index_pixel< bits >, byte, color_type_palette, 1, bits >
static color_type | get_color_type ()
static int | get_channels ()
static int | get_bit_depth ()
Static Public Attributes inherited from png::basic_pixel_traits< packed_index_pixel< bits >, byte, color_type_palette, 1, bits >
static const int | channels
static const int | bit_depth

## Detailed Description

template<int bits>
struct png::pixel_traits< packed_index_pixel< bits > >

Pixel traits specialization for packed_index_pixel.

The documentation for this struct was generated from the following file:

- index_pixel.hpp